%define upstream_version 1.8.3.dev2
%global pypi_name oslo.concurrency
%global pkg_name oslo-concurrency

Name:           python-oslo-concurrency
Version: 1.8.3
Release: 0.20160430212356.b188a11%{?dist}
Summary:        OpenStack oslo.concurrency library

License:        ASL 2.0
URL:            https://launchpad.net/oslo
Source0: oslo.concurrency-1.8.3.dev2-0.20160430212356.b188a11.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr

Requires:       python-babel
Requires:       python-iso8601
Requires:       python-fixtures
Requires:       python-oslo-config
Requires:       python-oslo-i18n
Requires:       python-oslo-utils
Requires:       python-posix_ipc
Requires:       python-retrying
Requires:       python-six

%description
An OpenStack library for concurrency.

%package doc
Summary:    Documentation for the Oslo concurrency library
Group:      Documentation

BuildRequires:  python-sphinx
BuildRequires:  python-oslo-sphinx

%description doc
Documentation for the Oslo concurrency library.

%prep
%setup -q -n %{pypi_name}-%{upstream_version}
# Let RPM handle the dependencies
rm -f requirements.txt

%build
%{__python2} setup.py build

# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

#delete tests
rm -fr %{buildroot}%{python2_sitelib}/%{pypi_name}/tests/

%files
%doc README.rst LICENSE
%{_bindir}/lockutils-wrapper
%{python2_sitelib}/oslo
%{python2_sitelib}/oslo_concurrency
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/*-nspkg.pth

%files doc
%doc html LICENSE


%changelog
* Wed Oct 29 2014 Dan Prince <dprince@redhat.com> - XXX
- Initial package
